MyGUI: MyGUI::Exception Class Reference

MyGUI 3.2.2

Public Member Functions | Protected Attributes
MyGUI::Exception Class Reference

`#include <MyGUI_Exception.h>`

Inheritance diagram for MyGUI::Exception:
[legend]

## Public Member Functions
| Exception (const std::string &_description, const std::string &_source, const char *_file, long _line)
| Exception (const Exception &_rhs)
| ~Exception () throw ()
Exception & | operator= (const Exception &_rhs)
virtual const std::string & | getFullDescription () const
virtual const std::string & | getSource () const
virtual const std::string & | getFile () const
virtual long | getLine () const
virtual const std::string & | getDescription () const
const char * | what () const throw ()

## Protected Attributes
std::string | mDescription
std::string | mSource
std::string | mFile
long | mLine
std::string | mFullDesc

## Detailed Description

Definition at line 17 of file MyGUI_Exception.h.

## Constructor & Destructor Documentation

## ◆ Exception() [1/2]

MyGUI::Exception::Exception | ( | const std::string & | _description,
|  | const std::string & | _source,
|  | const char * | _file,
|  | long | _line
| ) |  |

Definition at line 14 of file MyGUI_Exception.cpp.

## ◆ Exception() [2/2]

MyGUI::Exception::Exception | ( | const Exception & | _rhs | ) |

Definition at line 22 of file MyGUI_Exception.cpp.

## ◆ ~Exception()

MyGUI::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 31 of file MyGUI_Exception.cpp.

## Member Function Documentation

## ◆ getDescription()

const std::string & MyGUI::Exception::getDescription | ( |  | ) | const
| virtual

Definition at line 77 of file MyGUI_Exception.cpp.

## ◆ getFile()

const std::string & MyGUI::Exception::getFile | ( |  | ) | const
| virtual

Definition at line 67 of file MyGUI_Exception.cpp.

## ◆ getFullDescription()

const std::string & MyGUI::Exception::getFullDescription | ( |  | ) | const
| virtual

Definition at line 45 of file MyGUI_Exception.cpp.

## ◆ getLine()

long MyGUI::Exception::getLine | ( |  | ) | const
| virtual

Definition at line 72 of file MyGUI_Exception.cpp.

## ◆ getSource()

const std::string & MyGUI::Exception::getSource | ( |  | ) | const
| virtual

Definition at line 62 of file MyGUI_Exception.cpp.

## ◆ operator=()

Exception & MyGUI::Exception::operator= | ( | const Exception & | _rhs | ) |

Definition at line 35 of file MyGUI_Exception.cpp.

## ◆ what()

const char * MyGUI::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |

Definition at line 83 of file MyGUI_Exception.cpp.

## Field Documentation

## ◆ mDescription

std::string MyGUI::Exception::mDescription
| protected

Definition at line 44 of file MyGUI_Exception.h.

## ◆ mFile

std::string MyGUI::Exception::mFile
| protected

Definition at line 46 of file MyGUI_Exception.h.

## ◆ mFullDesc

std::string MyGUI::Exception::mFullDesc
| mutableprotected

Definition at line 48 of file MyGUI_Exception.h.

## ◆ mLine

long MyGUI::Exception::mLine
| protected

Definition at line 47 of file MyGUI_Exception.h.

## ◆ mSource

std::string MyGUI::Exception::mSource
| protected

Definition at line 45 of file MyGUI_Exception.h.

The documentation for this class was generated from the following files:

- MyGUI_Exception.h
- MyGUI_Exception.cpp